Uses of Class
com.eqixiac.equinix.fabric.model.json.NetworkJson
Packages that use NetworkJson
Package
Description
-
Uses of NetworkJson in com.eqixiac.equinix.fabric.client.internal
Methods in com.eqixiac.equinix.fabric.client.internal that return NetworkJsonModifier and TypeMethodDescriptionNetworkClient.create(NetworkCreatorJson networkCreatorJson) NetworkClient.dryRunCreate(NetworkCreatorJson networkCreatorJson) Dry-run variant ofNetworkClient.create(NetworkCreatorJson): POSTs the same body to/fabric/v4/networkswithdryRun=true- per the Fabric v4 spec, an "option to verify that API calls will succeed".NetworkClient.update(String uuid, List<PatchOperation> operations) Methods in com.eqixiac.equinix.fabric.client.internal that return types with arguments of type NetworkJsonModifier and TypeMethodDescriptionNetworkClient.search(FilterPropertyList filter, SortPropertyList sort) -
Uses of NetworkJson in com.eqixiac.equinix.fabric.client.internal.implementation
Subclasses with type arguments of type NetworkJson in com.eqixiac.equinix.fabric.client.internal.implementationMethods in com.eqixiac.equinix.fabric.client.internal.implementation that return NetworkJsonModifier and TypeMethodDescriptionNetworkClientImpl.create(NetworkCreatorJson networkCreatorJson) NetworkClientImpl.dryRunCreate(NetworkCreatorJson networkCreatorJson) Dry-run variant ofNetworkClientImpl.create(NetworkCreatorJson): POSTs the same body to/fabric/v4/networkswith the spec'sdryRun=truequery parameter ("option to verify that API calls will succeed").NetworkClientImpl.update(String uuid, List<PatchOperation> operations) Methods in com.eqixiac.equinix.fabric.client.internal.implementation that return types with arguments of type NetworkJsonModifier and TypeMethodDescriptionNetworkClientImpl.search(FilterPropertyList filter, SortPropertyList sort) Methods in com.eqixiac.equinix.fabric.client.internal.implementation with parameters of type NetworkJson -
Uses of NetworkJson in com.eqixiac.equinix.fabric.model.wrappers
Constructors in com.eqixiac.equinix.fabric.model.wrappers with parameters of type NetworkJsonModifierConstructorDescriptionNetworkWrapper(NetworkJson networkJson, Pageable<Network> serviceClient)